#!/usr/local/bin/perl

$drawdata1 = './kokuban1.dat';
$drawdata2 = './kokuban2.dat';

if ($ENV{ 'REQUEST_METHOD'} eq "POST")
{
	read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
}

$buffer =~ tr/+/ /;
$buffer =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
$buffer =~ s/~!/ ~!/g;

if ( -s "$drawdata1" > 25000 )
{
	if ( -s "$drawdata2" > 25000 )
	{
		open( DTOUT,">$drawdata1");
	 	flock( DTOUT,2 );
 		print DTOUT $buffer;
 		flock( DTOUT,8 );
 		close(DTOUT);
	}
	else
	{
		open( DTOUT,">>$drawdata2");
	 	flock( DTOUT,2 );
 		print DTOUT $buffer;
 		flock( DTOUT,8 );
 		close(DTOUT);
	}
}
else
{
	open( DTOUT,">>$drawdata1");
	flock( DTOUT,2 );
	print DTOUT $buffer;
	flock( DTOUT,8 );
	close(DTOUT);
	if ( -s "$drawdata1" > 25000 )
	{
		open( DTOUT,">$drawdata2");
		flock( DTOUT,2 );
		print DTOUT "\n";
		flock( DTOUT,8 );
		close(DTOUT);
	}
}
print "Content-type: text/plain\n\n";
print "Data Saved!\n"; 
exit 0;
